org.apache.ignite.internal.processors.cache.query

## Interface QueryCursorEx<T>

All Superinterfaces:
  AutoCloseable, Iterable<T>, QueryCursor<T>

All Known Implementing Classes:
  QueryCursorImpl

    public interface QueryCursorEx<T>
    extends QueryCursor<T>

Extended query cursor interface allowing for "getAll" to output data into destination other than Collection.

### Nested Class Summary

Nested Classes
`static interface` `QueryCursorEx.Consumer<T>` Query value consumer.

### Method Summary

All Methods Instance Methods Abstract Methods
`List<GridQueryFieldMetadata>` `fieldsMeta()`
`void` `getAll(QueryCursorEx.Consumer<T> c)` Get all values passing them through passed consumer.
`boolean` `isQuery()`

### Methods inherited from interface org.apache.ignite.cache.query.QueryCursor

`close, getAll`

### Methods inherited from interface java.lang.Iterable

`forEach, iterator, spliterator`

### Method Detail

#### getAll

    void getAll(QueryCursorEx.Consumer<T> c)
         throws IgniteCheckedException

Get all values passing them through passed consumer.

Parameters:
  `c` - Consumer.
Throws:
  `IgniteCheckedException`

#### fieldsMeta

    List<GridQueryFieldMetadata> fieldsMeta()

Returns:
  Query metadata.

#### isQuery

    boolean isQuery()

Returns:
  `true` if this cursor corresponds to a `ResultSet` as a result of query, `false` if query was modifying operation like INSERT, UPDATE, or DELETE.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022